<div id="order_fulfilment" class="tab_content">
	<h3>{$LANG.order_fulfilment.order_fulfilment_items_title}</h3>
	<p>{$LANG.order_fulfilment.order_fulfilment_items_description}</p>
	

	<table id="order-fulfilments-table">
		<thead>
		   <tr>
			  <th>{$LANG.order_fulfilment.order_fulfilment_items_table_column_product_code}</th>
			  <th>{$LANG.order_fulfilment.order_fulfilment_items_table_column_product_name}</th>
			  <th>{$LANG.order_fulfilment.order_fulfilment_items_table_column_options}</th>
			  <th>{$LANG.order_fulfilment.order_fulfilment_items_table_column_qty_ordered}</th>
			  <th>{$LANG.order_fulfilment.order_fulfilment_items_table_column_qty_boxed}</th>			  
			  <th>{$LANG.order_fulfilment.order_fulfilment_items_table_column_qty_to_pick}</th>
			  <th>{$LANG.order_fulfilment.order_fulfilment_items_table_column_waiting_on_stock}</th>
			  <th>{$LANG.order_fulfilment.order_fulfilment_items_table_column_process}</th>
			  <th>{$LANG.order_fulfilment.order_fulfilment_items_table_column_qty_picked}</th>
			  <th>{$LANG.order_fulfilment.order_fulfilment_items_table_column_put_in_box}</th>
			  <th>{$LANG.order_fulfilment.order_fulfilment_items_table_column_line_item_note}</th>
		   </tr>
		</thead>
		
		<tbody id="order-fulfilments-table-inventory-list">
		{foreach from=$ORDER_FULFILMENT_INVENTORY item=item}
			<tr class="update-subtotal" {if $item.quantity_outstanding == 0}style="background-color:#DFF2BF"{/if}>
				<td>
					{$item.product_code}
				</td>			
				<td>
					{$item.name}
				</td>

				<td>
					{if !empty($item.product_options)}
						<ul>
						{foreach from=$item.product_options item=$option}
							<li>{$option}</li>
						{/foreach}
						</ul>
					{/if}
				</td>				
				
				<td style="text-align:center;">
					{$item.quantity}
				</td>
				<td style="text-align:center;">
					{$item.quantity_in_box}
				</td>
				<td style="text-align:center; {if $item.quantity_outstanding > 0}background-color:#FFBABA;{/if}">
					{$item.quantity_outstanding}
				</td>

				<td style="text-align:center;">
						<input type="checkbox" value="1" id="of_waiting_on_stock[{$item.id}]" name="order_fulfilment[{$item.id}][of_waiting_on_stock]" {if $item.of_waiting_on_stock == "1"}checked{/if}>
				</td>		
				
				<td style="text-align:center;">
					{if $item.quantity_outstanding == 0}
						<img src="{$STORE_URL}/modules/plugins/order_fulfilment/images/tick.png" alt="done" title="done">
					{else}
						<input type="checkbox" value="1" name="order_fulfilment[{$item.id}][process]">
						<input type="hidden" value="{$item.product_id}" name="order_fulfilment[{$item.id}][product_id]">
						<input type="hidden" value="{$item.hash}" name="order_fulfilment[{$item.id}][hash]">
						<input type="hidden" value="{$item.options_identifier}" name="order_fulfilment[{$item.id}][options_identifier]">
					{/if}
				</td>
				
				<td style="text-align:center;">
					{if $item.quantity_outstanding == 0}
						<img src="{$STORE_URL}/modules/plugins/order_fulfilment/images/tick.png" alt="done" title="done">
					{else}
						<select style="width: 75%;" name="order_fulfilment[{$item.id}][quantity_picked]">
							{assign var="counter" value=$item.quantity_outstanding}
							{while $counter > 0}
								<option value="{$counter}">{$counter}</option>
								{$counter--}
							{/while}
						</select>										
					{/if}
				</td>
				<td style="text-align:center;">
					{if $item.quantity_outstanding == 0}
						<img src="{$STORE_URL}/modules/plugins/order_fulfilment/images/tick.png" alt="done" title="done">
					{else}
						<select style="width: 75%;" name="order_fulfilment[{$item.id}][box_number]">
							{assign var="counter" value=$ORDER_FULFILMENT_BOX_COUNTS.start_box_number}
							
							{while $counter <= $ORDER_FULFILMENT_BOX_COUNTS.max_box_number}
								<option value="{$counter}">{$counter}</option>
								{$counter++}
							{/while}
						</select>						
					{/if}
				</td>
				<td style="text-align:center;">
					{if $item.quantity_outstanding == 0}
						<img src="{$STORE_URL}/modules/plugins/order_fulfilment/images/tick.png" alt="done" title="done">
					{else}
						<input type="text" class="textbox" name="order_fulfilment[{$item.id}][line_item_note]">
					{/if}
				</td>
			</tr>
		{/foreach}
		</tbody>
	</table>
	
	<div class="form_control">
		<input type="hidden" name="previous-tab" id="previous-tab">
		<input type="hidden" name="cart_order_id" value="{$SUMMARY.cart_order_id}">
		<input type="submit" name="submit_cont" value="{$LANG.common.save_reload}">
	</div>	
	
	<br/><br/>
	<h3>{$LANG.order_fulfilment.order_fulfilment_items_box_title}</h3>
	<p>{$LANG.order_fulfilment.order_fulfilment_items_box_description}</p>
	<table id="order-fulfilments-table">
		<thead>
		   <tr>
			  <th>{$LANG.order_fulfilment.order_fulfilment_items_box_table_column_box_number}</th>
			  <th>{$LANG.order_fulfilment.order_fulfilment_items_box_table_column_box_contents}</th>
			  <th>{$LANG.order_fulfilment.order_fulfilment_items_box_table_column_packing_slip}</td>
			  <th>{$LANG.order_fulfilment.order_fulfilment_items_box_table_column_ship_this_box}</th>
			  <th>{$LANG.order_fulfilment.order_fulfilment_items_box_table_column_shipping_method}</th>
			  <th>{$LANG.order_fulfilment.order_fulfilment_items_box_table_column_tracking_code}</th>
			  <th>{$LANG.order_fulfilment.order_fulfilment_items_box_table_column_tracking_url}</th>
			  <th>{$LANG.order_fulfilment.order_fulfilment_items_box_table_column_package_note}</th>
			  <th>{$LANG.order_fulfilment.order_fulfilment_items_box_table_column_shipped_by}</th>
			  <th>{$LANG.order_fulfilment.order_fulfilment_items_box_table_column_shipped_date}</th>
		   </tr>
		</thead>
		<tbody id="order-fulfilments-table-inventory-list">
			{if isset($ORDER_FULFILMENT_BOX) && !empty($ORDER_FULFILMENT_BOX)}
				{foreach from=$ORDER_FULFILMENT_BOX item=box}
					{if isset($ORDER_FULFILMENT_BOX_CONTENTS) && !empty($ORDER_FULFILMENT_BOX_CONTENTS)}
						<tr {if $box.box_has_shipped == 1}style="background-color:#DFF2BF"{/if}>
							<td style="text-align:center;">{$box.box_number}</td>
							<td>
								{foreach from=$ORDER_FULFILMENT_BOX_CONTENTS item=contents}
									{if $contents.box_number == $box.box_number}
										<br/>{if $box.box_has_shipped == 0}<a href="{$VAL_SELF}&ffs=del&fid={$contents.id}#order_fulfilment"><img src="{$STORE_URL}/modules/plugins/order_fulfilment/images/delete.png" alt="delete" title="delete"></a> {/if}<span style="font-weight: bold;">{$contents.quantity_in_box_sum} x</span> {$contents.name}
										{if !empty($contents.line_item_note)}<br/><span style="font-style:italic; font-size:0.9em;">Note: {$contents.line_item_note}</span>{/if}
										{if !empty($contents.product_options)}
											<ul>
											{foreach from=$contents.product_options item=$option}
												<li>{$option}</li>
											{/foreach}
											</ul>
										{/if}
										<br/>
									{/if}
								{/foreach}							
							</td>
							
							<td style="text-align:center;"><a href="?_g=orders&node=index&print[]={$SUMMARY.cart_order_id}&of_packing_slip=1&box_number={$box.box_number}"><img src="{$STORE_URL}/modules/plugins/order_fulfilment/images/print.png" alt="done" title="done"></a></td>
							
							<td style="text-align:center;">
								{if $box.box_has_shipped == 1}
									<img src="{$STORE_URL}/modules/plugins/order_fulfilment/images/tick.png" alt="done" title="done">
								{else}
									<input type="checkbox" value="1" name="order_fulfilment_box[{$box.box_number}][process]">
								{/if}								
							</td>
							<td>
								{if $box.box_has_shipped == 1}
									{$box.box_shipping_method}
								{else}
									<input type="text" class="textbox" name="order_fulfilment_box[{$box.box_number}][shipping_method]" value="{if !empty($ORDER_FULFILMENT_DEFAULT_SHIPPING.ship_method) && $ORDER_FULFILMENT_DEFAULT_SHIPPING.ship_method != 'All In One Shipping'}{$ORDER_FULFILMENT_DEFAULT_SHIPPING.ship_method}{/if}{if !empty($ORDER_FULFILMENT_DEFAULT_SHIPPING.ship_product)} {$ORDER_FULFILMENT_DEFAULT_SHIPPING.ship_product}{/if}">
								{/if}															
							</td>
							<td>
								{if $box.box_has_shipped == 1}
									{$box.box_tracking_code}
								{else}
									<input type="text" class="textbox" name="order_fulfilment_box[{$box.box_number}][tracking_code]">								
								{/if}							
							</td>							
							<td>
								{if $box.box_has_shipped == 1}
									<a href="{$box.box_tracking_url}">{$box.box_tracking_url}</a>
								{else}
									<input type="text" class="textbox" name="order_fulfilment_box[{$box.box_number}][tracking_url]">
								{/if}
							</td>
							<td>
								{if $box.box_has_shipped == 1}
									{$box.box_note}
								{else}
									<input type="text" class="textbox" name="order_fulfilment_box[{$box.box_number}][package_note]">
								{/if}
							</td>							
							<td>{$box.shipped_by_admin}</td>
							<td>{$box.shipped_date}</td>
						</tr>								
					{/if}
				{/foreach}
			{/if}
		</tbody>
	</table>	
</div>